Stock Transfer Line

The stock transfer line resource.

Basehttps://rest.carbon.ms/stockTransferLine
GET/stockTransferLine

List stock transfer lines

Retrieve a paginated list of stock transfer lines. Filter, order, and select columns with PostgREST query parameters.

Query parameters

selectstring

Comma-separated columns to return. Defaults to all.

orderstring

Column to sort by, e.g. `createdAt.desc`.

limitinteger

Maximum rows to return.

offsetinteger

Rows to skip, for pagination.

GEThttps://rest.carbon.ms/stockTransferLine
curl --request GET \
  --url 'https://rest.carbon.ms/stockTransferLine?select=*&limit=10' \
  --header 'Authorization: Bearer <api-key>'
Response
[
  {
    "id": "abc123def456",
    "companyId": "xyz789",
    "stockTransferId": "xyz789",
    "itemId": "xyz789",
    "quantity": 10,
    "pickedQuantity": 10,
    "requiresBatchTracking": true,
    "requiresSerialTracking": true
  }
]
GET/stockTransferLine

Retrieve a stock transfer line

Fetch a single stock transfer line by filtering on `id`.

Query parameters

idstring

Match on the stock transfer line's `id`, e.g. `eq.{id}`.

GEThttps://rest.carbon.ms/stockTransferLine
curl --request GET \
  --url 'https://rest.carbon.ms/stockTransferLine?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
Response
{
  "id": "abc123def456",
  "companyId": "xyz789",
  "stockTransferId": "xyz789",
  "itemId": "xyz789",
  "quantity": 10,
  "pickedQuantity": 10,
  "requiresBatchTracking": true,
  "requiresSerialTracking": true
}
POST/stockTransferLine

Create a stock transfer line

Create a new stock transfer line.

Body parameters

stockTransferIdstringrequired
jobIdstring

References job.id

jobMaterialIdstring

References jobMaterial.id

itemIdstringrequired

References item.id

fromStorageUnitIdstring

References storageUnit.id

toStorageUnitIdstring

References storageUnit.id

quantitynumberrequired
pickedQuantitynumberrequired
outstandingQuantitynumber
trackedEntityIdstring

References trackedEntity.id

requiresBatchTrackingbooleanrequired
requiresSerialTrackingbooleanrequired
POSThttps://rest.carbon.ms/stockTransferLine
curl --request POST \
  --url https://rest.carbon.ms/stockTransferLine \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"stockTransferId":"xyz789","itemId":"xyz789","quantity":10,"pickedQuantity":10,"requiresBatchTracking":true,"requiresSerialTracking":true}'
Response
{
  "id": "abc123def456",
  "companyId": "xyz789",
  "stockTransferId": "xyz789",
  "itemId": "xyz789",
  "quantity": 10,
  "pickedQuantity": 10,
  "requiresBatchTracking": true,
  "requiresSerialTracking": true
}
PATCH/stockTransferLine

Update a stock transfer line

Update an existing stock transfer line, matched on `id`.

Body parameters

stockTransferIdstringrequired
jobIdstring

References job.id

jobMaterialIdstring

References jobMaterial.id

itemIdstringrequired

References item.id

fromStorageUnitIdstring

References storageUnit.id

toStorageUnitIdstring

References storageUnit.id

quantitynumberrequired
pickedQuantitynumberrequired
outstandingQuantitynumber
trackedEntityIdstring

References trackedEntity.id

requiresBatchTrackingbooleanrequired
requiresSerialTrackingbooleanrequired
PATCHhttps://rest.carbon.ms/stockTransferLine
curl --request PATCH \
  --url 'https://rest.carbon.ms/stockTransferLine?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"stockTransferId":"xyz789"}'
Response
{
  "id": "abc123def456",
  "companyId": "xyz789",
  "stockTransferId": "xyz789",
  "itemId": "xyz789",
  "quantity": 10,
  "pickedQuantity": 10,
  "requiresBatchTracking": true,
  "requiresSerialTracking": true
}
DELETE/stockTransferLine

Delete a stock transfer line

Delete a stock transfer line, matched on `id`. Returns 204 No Content.

Query parameters

idstring

The `id` of the stock transfer line to delete, e.g. `eq.{id}`.

DELETEhttps://rest.carbon.ms/stockTransferLine
curl --request DELETE \
  --url 'https://rest.carbon.ms/stockTransferLine?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
204 No Content